Get integration data location
curl --request GET \
--url https://api.getmembrane.com/integrations/{id}/data/{dataLocationKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/integrations/{id}/data/{dataLocationKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/integrations/{id}/data/{dataLocationKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "collection",
"name": "<string>",
"key": "<string>",
"parametersSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"fieldsSchema": {
"type": "<string>",
"title": "<string>",
"description": "<string>",
"format": "<string>",
"properties": {},
"items": "<unknown>",
"additionalProperties": true,
"enum": [
"<string>"
],
"referenceRecords": [
{}
],
"referenceCollection": {
"key": {},
"parameters": {}
},
"referenceUdm": "<string>",
"default": {},
"allowCustom": true,
"required": [
"<string>"
],
"minLength": 123,
"maxLength": 123,
"minimum": 123,
"maximum": 123,
"maxItems": 123,
"readOnly": true,
"writeOnly": true,
"examples": [
{}
],
"anyOf": "<array>",
"isImplied": true,
"isSensitive": true,
"referenceCollectionPath": "<string>",
"referenceCollectionUri": "<string>"
},
"list": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"filterFields": [
"<string>"
]
},
"search": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"match": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
]
},
"findById": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"create": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
],
"requiredFields": [
"<string>"
],
"excludedFields": [
"<string>"
]
},
"update": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"fields": [
"<string>"
],
"excludedFields": [
"<string>"
]
},
"delete": {
"apiRequests": [
{
"path": {},
"method": {}
}
]
},
"events": {
"created": {
"isFullScan": true,
"isIdOnly": true
},
"updated": {
"isFullScan": true,
"isIdOnly": true
},
"deleted": {
"isFullScan": true,
"isIdOnly": true
},
"all": {
"isFullScan": true,
"isIdOnly": true
}
},
"customFields": true,
"udm": {},
"find": {
"apiRequests": [
{
"path": {},
"method": {}
}
],
"queryFields": [
"<string>"
]
}
}Data Collections
Get integration data location
GET
/
integrations
/
{id}
/
data
/
{dataLocationKey}
Get integration data location
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Data Collection parameters
Show child attributes
Show child attributes
Response
200 - application/json
Available options:
collection Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I